Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.importexport.model
Class Job

    java.lang.Object
      com.amazonaws.services.importexport.model.Job

    public class Job

extends Object

Representation of a job returned by the ListJobs operation.

Constructor Summary
`Job()`

Method Summary
`Date` | `getCreationDate()` Timestamp of the CreateJob request in ISO8601 date format.
`Boolean` | `getIsCanceled()` Indicates whether the job was canceled.
`String` | `getJobId()` A unique identifier which refers to a particular job.
`String` | `getJobType()` Specifies whether the job to initiate is an import or export job.
`Boolean` | `isIsCanceled()` Indicates whether the job was canceled.
`void` | `setCreationDate(Date creationDate)` Timestamp of the CreateJob request in ISO8601 date format.
`void` | `setIsCanceled(Boolean isCanceled)` Indicates whether the job was canceled.
`void` | `setJobId(String jobId)` A unique identifier which refers to a particular job.
`void` | `setJobType(String jobType)` Specifies whether the job to initiate is an import or export job.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Job` | `withCreationDate(Date creationDate)` Timestamp of the CreateJob request in ISO8601 date format.
`Job` | `withIsCanceled(Boolean isCanceled)` Indicates whether the job was canceled.
`Job` | `withJobId(String jobId)` A unique identifier which refers to a particular job.
`Job` | `withJobType(String jobType)` Specifies whether the job to initiate is an import or export job.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Job

    public Job()

Method Detail

### getJobId

    public String getJobId()

  A unique identifier which refers to a particular job.

  Returns:
    A unique identifier which refers to a particular job.

### setJobId

    public void setJobId(String jobId)

  A unique identifier which refers to a particular job.

  Parameters:
    `jobId` - A unique identifier which refers to a particular job.

### withJobId

    public Job withJobId(String jobId)

  A unique identifier which refers to a particular job.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `jobId` - A unique identifier which refers to a particular job.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getCreationDate

    public Date getCreationDate()

  Timestamp of the CreateJob request in ISO8601 date format. For example "2010-03-28T20:27:35Z".

  Returns:
    Timestamp of the CreateJob request in ISO8601 date format. For example "2010-03-28T20:27:35Z".

### setCreationDate

    public void setCreationDate(Date creationDate)

  Timestamp of the CreateJob request in ISO8601 date format. For example "2010-03-28T20:27:35Z".

  Parameters:
    `creationDate` - Timestamp of the CreateJob request in ISO8601 date format. For example "2010-03-28T20:27:35Z".

### withCreationDate

    public Job withCreationDate(Date creationDate)

  Timestamp of the CreateJob request in ISO8601 date format. For example "2010-03-28T20:27:35Z".

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `creationDate` - Timestamp of the CreateJob request in ISO8601 date format. For example "2010-03-28T20:27:35Z".
  Returns:
    A reference to this updated object so that method calls can be chained together.

### isIsCanceled

    public Boolean isIsCanceled()

  Indicates whether the job was canceled.

  Returns:
    Indicates whether the job was canceled.

### setIsCanceled

    public void setIsCanceled(Boolean isCanceled)

  Indicates whether the job was canceled.

  Parameters:
    `isCanceled` - Indicates whether the job was canceled.

### withIsCanceled

    public Job withIsCanceled(Boolean isCanceled)

  Indicates whether the job was canceled.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `isCanceled` - Indicates whether the job was canceled.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getIsCanceled

    public Boolean getIsCanceled()

  Indicates whether the job was canceled.

  Returns:
    Indicates whether the job was canceled.

### getJobType

    public String getJobType()

  Specifies whether the job to initiate is an import or export job.

  Constraints:
  Allowed Values: Import, Export

  Returns:
    Specifies whether the job to initiate is an import or export job.
  See Also:
    `JobType`

### setJobType

    public void setJobType(String jobType)

  Specifies whether the job to initiate is an import or export job.

  Constraints:
  Allowed Values: Import, Export

  Parameters:
    `jobType` - Specifies whether the job to initiate is an import or export job.
  See Also:
    `JobType`

### withJobType

    public Job withJobType(String jobType)

  Specifies whether the job to initiate is an import or export job.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: Import, Export

  Parameters:
    `jobType` - Specifies whether the job to initiate is an import or export job.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `JobType`

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.